/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package priorseditor.gui;

import priorseditor.engine.operations.Operation;
import java.awt.Dimension;
import javax.swing.JList;
import javax.swing.JLabel;
import javax.swing.ListCellRenderer;


/**
 *
 * @author kjetikl
 */
public class OperationsPanelCellRenderer extends JLabel implements ListCellRenderer  {
    java.awt.Color dragOntoColor = new java.awt.Color(220,220,220);
            
    public OperationsPanelCellRenderer() {
        setPreferredSize(new Dimension(40,21));
        setMinimumSize(new Dimension(40,21));
        setOpaque(true);
    }
  
    public JLabel getListCellRendererComponent(JList list, Object value, int index, boolean isSelected, boolean cellHasFocus) {
        Operation operation=(Operation)value;
        if (isSelected) {
            setBackground(list.getSelectionBackground());
            setForeground(list.getSelectionForeground());
        } else {
            setBackground(list.getBackground());
            setForeground(list.getForeground());      
        }     
        if (list.getDropLocation()!=null && !list.getDropLocation().isInsert() && list.getDropLocation().getIndex()==index) {
            setBackground(dragOntoColor);
        }
        setText("   "+operation.getName());
        setToolTipText(operation.getDescription());
        return this;
    }
}
