/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package priorseditor.gui.operationdialog;

import java.awt.FlowLayout;
import javax.swing.DefaultComboBoxModel;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import priorseditor.engine.data.*;
import priorseditor.engine.operations.Operation_divide;

/**
 *
 * @author kjetikl
 */
public class OperationDialog_divide extends FeatureTransformOperationDialog {
    private JPanel dividebypanel;
    private JComboBox dividebyCombobox;
    
    
    public OperationDialog_divide(JFrame parent) {
        super(parent);    
    }
    
    public OperationDialog_divide() {
        super();    
    }
    
    @Override
    public void initComponents() {
        super.initComponents();
        dividebypanel=new JPanel(new FlowLayout(FlowLayout.LEADING));
        dividebypanel.setBorder(commonBorder);
        dividebypanel.add(new JLabel("Divide by   "));
        String divideString=(String)parameters.getParameter(Operation_divide.DIVIDE_STRING);
        if (divideString==null) divideString="1.0";
        DefaultComboBoxModel wbmodel=getDataCandidates(new Class[]{NumericVariable.class,NumericMapVariable.class,NumericDataset.class});
        dividebyCombobox = new JComboBox(wbmodel);
        dividebyCombobox.setEditable(true);
        dividebyCombobox.setSelectedItem(divideString);
        dividebypanel.add(dividebyCombobox);                   
        JPanel sourceTargetPanel=getSourceTargetPanel();
        sourceTargetPanel.setBorder(commonBorder);
        JPanel whereClausePanel=getWhereClausePanel(FeatureTransformOperationDialog.CONDITION_NUMERIC);
        whereClausePanel.setBorder(commonBorder);
        JPanel subsetPanel=getSequenceSubsetPanel();
        subsetPanel.setBorder(commonBorder);
        add(sourceTargetPanel);
        add(dividebypanel);
        add(whereClausePanel);
        add(subsetPanel);
        add(getOKCancelButtonsPanel());
        pack();        
    }

    @Override
    protected void setParameters() {
        super.setParameters(); // sets the common feature-transform parameters like 'source','target','where' and 'collection'
        parameters.setParameter(Operation_divide.DIVIDE_STRING, (String)dividebyCombobox.getSelectedItem());
    }
}
