/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package priorseditor.gui.operationdialog;

import java.awt.FlowLayout;
import javax.swing.DefaultComboBoxModel;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import priorseditor.engine.data.*;
import priorseditor.engine.operations.Operation_set;

/**
 *
 * @author kjetikl
 */
public class OperationDialog_set extends FeatureTransformOperationDialog {
    private JPanel valuepanel;
    private JComboBox valueCombobox;
    
    
    public OperationDialog_set(JFrame parent) {
        super(parent);    
    }
    
    public OperationDialog_set() {
        super();    
    }
    
    @Override
    public void initComponents() {
        super.initComponents();
        valuepanel=new JPanel(new FlowLayout(FlowLayout.LEADING));
        valuepanel.setBorder(commonBorder);
        valuepanel.add(new JLabel("Value   "));
        String valueString=(String)parameters.getParameter(Operation_set.VALUE_STRING);
        if (valueString==null) valueString="1.0";
        DefaultComboBoxModel wbmodel=getDataCandidates(new Class[]{NumericVariable.class,NumericMapVariable.class,NumericDataset.class});
        valueCombobox = new JComboBox(wbmodel);
        valueCombobox.setEditable(true);
        valueCombobox.setSelectedItem(valueString);
        valuepanel.add(valueCombobox);                   
        JPanel sourceTargetPanel=getSourceTargetPanel();
        sourceTargetPanel.setBorder(commonBorder);
        JPanel whereClausePanel=getWhereClausePanel(FeatureTransformOperationDialog.CONDITION_NUMERIC);
        whereClausePanel.setBorder(commonBorder);
        JPanel subsetPanel=getSequenceSubsetPanel();
        subsetPanel.setBorder(commonBorder);
        add(sourceTargetPanel);
        add(valuepanel);
        add(whereClausePanel);
        add(subsetPanel);
        add(getOKCancelButtonsPanel());
        pack();        
    }

    @Override
    protected void setParameters() {
        super.setParameters(); // sets the common feature-transform parameters like 'source','target','where' and 'collection'
        parameters.setParameter(Operation_set.VALUE_STRING, (String)valueCombobox.getSelectedItem());
    }
}
