/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package priorseditor.engine;

import java.io.Serializable;

/**
 *
 * @author kjetikl
 */
    /** Just a "struct" to return information in a more formalized way than an Object array */
public class GeneIDmapping implements Serializable {
        public String geneID;
        public String geneName;
        public String chromosome;
        public int TSS;
        public int TES;
        public int strand;
        
        public GeneIDmapping(String geneID, String geneName, String chromosome, int TSS, int TES, int strand) {
            this.geneID=geneID;
            this.geneName=geneName;
            this.chromosome=chromosome;
            this.TSS=TSS;
            this.TES=TES;
            this.strand=strand;
        }
        
        public String toString() {
            return geneID+"."+geneName+"   chr"+chromosome+":"+((TSS<TES)?TSS:TES)+"-"+((TSS<TES)?TES:TSS)+" "+((strand<0)?"Reverse":"Direct");
        }
}
