/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package priorseditor.gui.operationdialog;

import java.awt.FlowLayout;
import javax.swing.DefaultComboBoxModel;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import priorseditor.engine.data.*;
import priorseditor.engine.operations.Operation_decrease;

/**
 *
 * @author kjetikl
 */
public class OperationDialog_decrease extends FeatureTransformOperationDialog {
    private JPanel decreasebypanel;
    private JComboBox decreasebyCombobox;
    
    
    public OperationDialog_decrease(JFrame parent) {
        super(parent);    
    }
    
    public OperationDialog_decrease() {
        super();    
    }
    
    @Override
    public void initComponents() {
        super.initComponents();
        decreasebypanel=new JPanel(new FlowLayout(FlowLayout.LEADING));
        decreasebypanel.setBorder(commonBorder);
        decreasebypanel.add(new JLabel("Decrease by   "));
        String decreaseString=(String)parameters.getParameter(Operation_decrease.DECREASE_STRING);
        if (decreaseString==null) decreaseString="1.0";
        DefaultComboBoxModel wbmodel=getDataCandidates(new Class[]{NumericVariable.class,NumericMapVariable.class,NumericDataset.class});
        decreasebyCombobox = new JComboBox(wbmodel);
        decreasebyCombobox.setEditable(true);
        decreasebyCombobox.setSelectedItem(decreaseString);
        decreasebypanel.add(decreasebyCombobox);                   
        JPanel sourceTargetPanel=getSourceTargetPanel();
        sourceTargetPanel.setBorder(commonBorder);
        JPanel whereClausePanel=getWhereClausePanel(FeatureTransformOperationDialog.CONDITION_NUMERIC);
        whereClausePanel.setBorder(commonBorder);
        JPanel subsetPanel=getSequenceSubsetPanel();
        subsetPanel.setBorder(commonBorder);
        add(sourceTargetPanel);
        add(decreasebypanel);
        add(whereClausePanel);
        add(subsetPanel);
        add(getOKCancelButtonsPanel());
        pack();        
    }

    @Override
    protected void setParameters() {
        super.setParameters(); // sets the common feature-transform parameters like 'source','target','where' and 'collection'
        parameters.setParameter(Operation_decrease.DECREASE_STRING, (String)decreasebyCombobox.getSelectedItem());
    }
}
