/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package priorseditor.gui.operationdialog;

import java.awt.FlowLayout;
import javax.swing.DefaultComboBoxModel;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import priorseditor.engine.data.*;
import priorseditor.engine.operations.Operation_increase;

/**
 *
 * @author kjetikl
 */
public class OperationDialog_increase extends FeatureTransformOperationDialog {
    private JPanel increasebypanel;
    private JComboBox increasebyCombobox;
    
    
    public OperationDialog_increase(JFrame parent) {
        super(parent);    
    }
    
    public OperationDialog_increase() {
        super();    
    }
    
    @Override
    public void initComponents() {
        super.initComponents();
        increasebypanel=new JPanel(new FlowLayout(FlowLayout.LEADING));
        increasebypanel.setBorder(commonBorder);
        increasebypanel.add(new JLabel("Increase by   "));
        String increaseString=(String)parameters.getParameter(Operation_increase.INCREASE_STRING);
        if (increaseString==null) increaseString="1.0";
        DefaultComboBoxModel wbmodel=getDataCandidates(new Class[]{NumericVariable.class,NumericMapVariable.class,NumericDataset.class});
        increasebyCombobox = new JComboBox(wbmodel);
        increasebyCombobox.setEditable(true);
        increasebyCombobox.setSelectedItem(increaseString);
        increasebypanel.add(increasebyCombobox);                   
        JPanel sourceTargetPanel=getSourceTargetPanel();
        sourceTargetPanel.setBorder(commonBorder);
        JPanel whereClausePanel=getWhereClausePanel(FeatureTransformOperationDialog.CONDITION_NUMERIC);
        whereClausePanel.setBorder(commonBorder);
        JPanel subsetPanel=getSequenceSubsetPanel();
        subsetPanel.setBorder(commonBorder);
        add(sourceTargetPanel);
        add(increasebypanel);
        add(whereClausePanel);
        add(subsetPanel);
        add(getOKCancelButtonsPanel());
        pack();        
    }

    @Override
    protected void setParameters() {
        super.setParameters(); // sets the common feature-transform parameters like 'source','target','where' and 'collection'
        parameters.setParameter(Operation_increase.INCREASE_STRING, (String)increasebyCombobox.getSelectedItem());
    }
}
