/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package priorseditor.gui.operationdialog;

import java.awt.FlowLayout;
import javax.swing.DefaultComboBoxModel;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import priorseditor.engine.data.*;
import priorseditor.engine.operations.Operation_weight;

/**
 *
 * @author kjetikl
 */
public class OperationDialog_weight extends FeatureTransformOperationDialog {
    private JPanel weightbypanel;
    private JComboBox weightbyCombobox;
    
    
    public OperationDialog_weight(JFrame parent) {
        super(parent);    
    }
    
    public OperationDialog_weight() {
        super();    
    }
    
    @Override
    public void initComponents() {
        super.initComponents();
        weightbypanel=new JPanel(new FlowLayout(FlowLayout.LEADING));
        weightbypanel.setBorder(commonBorder);
        weightbypanel.add(new JLabel("Weight by   "));
        String weightString=(String)parameters.getParameter(Operation_weight.WEIGHT_STRING);
        if (weightString==null) weightString="1.0";
        DefaultComboBoxModel wbmodel=getDataCandidates(new Class[]{NumericVariable.class,NumericMapVariable.class,NumericDataset.class});
        weightbyCombobox = new JComboBox(wbmodel);
        weightbyCombobox.setEditable(true);
        weightbyCombobox.setSelectedItem(weightString);
        weightbypanel.add(weightbyCombobox);                   
        JPanel sourceTargetPanel=getSourceTargetPanel();
        sourceTargetPanel.setBorder(commonBorder);
        JPanel whereClausePanel=getWhereClausePanel(FeatureTransformOperationDialog.CONDITION_NUMERIC);
        whereClausePanel.setBorder(commonBorder);
        JPanel subsetPanel=getSequenceSubsetPanel();
        subsetPanel.setBorder(commonBorder);
        add(sourceTargetPanel);
        add(weightbypanel);
        add(whereClausePanel);
        add(subsetPanel);
        add(getOKCancelButtonsPanel());
        pack();        
    }

    @Override
    protected void setParameters() {
        super.setParameters(); // sets the common feature-transform parameters like 'source','target','where' and 'collection'
        parameters.setParameter(Operation_weight.WEIGHT_STRING, (String)weightbyCombobox.getSelectedItem());
    }
}
